Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## nextapp.echo2.webrender
Class ClientAnalyzerProcessor

    java.lang.Object
      nextapp.echo2.webrender.ClientAnalyzerProcessor

All Implemented Interfaces:
  SynchronizeService.ClientMessagePartProcessor

    public class ClientAnalyzerProcessor

extends java.lang.Object
implements SynchronizeService.ClientMessagePartProcessor

`SynchronizeService.ClientMessagePartProcessor` which creates a `ClientProperties` object based on the client script's analysis of its environment.

Constructor Summary
`ClientAnalyzerProcessor()`

Method Summary
`java.lang.String` | `getName()` Returns the name of the `ClientMessagePartProcessor`.
`void` | `process(UserInstance userInstance, org.w3c.dom.Element messagePartElement)` Processes a MessagePart of a ClientMessage

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClientAnalyzerProcessor

    public ClientAnalyzerProcessor()

Method Detail

### getName

    public java.lang.String getName()

  Description copied from interface: `SynchronizeService.ClientMessagePartProcessor`
  Returns the name of the `ClientMessagePartProcessor`. The processor will be invoked when a message part with its name is found within the ClientMessage.

  Specified by:
    `getName` in interface `SynchronizeService.ClientMessagePartProcessor`
  Returns:
    the name of the processor
  See Also:
    `SynchronizeService.ClientMessagePartProcessor.getName()`

### process

    public void process(UserInstance userInstance,
                        org.w3c.dom.Element messagePartElement)

  Description copied from interface: `SynchronizeService.ClientMessagePartProcessor`
  Processes a MessagePart of a ClientMessage

  Specified by:
    `process` in interface `SynchronizeService.ClientMessagePartProcessor`
  Parameters:
    `userInstance` - the relevant `UserInstance`
    `messagePartElement` - the `message part` element to process
  See Also:
    `SynchronizeService.ClientMessagePartProcessor.process( nextapp.echo2.webrender.UserInstance, org.w3c.dom.Element)`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD